# JID class

Represents a Jabber ID in parsed form.

Annotations
  - @immutable

## Constructors

JID (String local, String domain, String resource)
  const
JID.fromString (String jid)
  Parses the string `jid` into a JID instance.
  factory

## Properties

domain → String
  final
hashCode → int
  The hash code for this object.
  no setteroverride
local → String
  final
resource → String
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited

## Methods

bareCompare (JID other, {bool ensureBare = false}) → bool
  Compares the JID with `other`. This function assumes that JID and `other` are bare, i.e. only the domain- and localparts are compared. If `ensureBare` is optionally set to true, then `other` MUST be bare. Otherwise, false is returned.
isBare () → bool
  Returns true if the JID is bare.
isFull () → bool
  Returns true if the JID is full.
noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toBare () → JID
  Converts the JID into a bare JID.
toDomain () → JID
  Convert the JID into the JID of the domain. For example, converts alice@example.org/abc123 to example.org.
toString () → String
  Converts to JID instance into its string representation of localpart@domainpart/resource.
  override
withResource (String resource) → JID
  Converts the JID into one with a resource part of `resource`.

## Operators

operator == (Object other) → bool
  The equality operator.
  override